// Copyright 2015-2017 Parity Technologies (UK) Ltd.
// This file is part of Parity.

// Parity is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// Parity is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with Parity.  If not, see <http://www.gnu.org/licenses/>.

import account from './account';
import accounts from './accounts';
import addAddress from './addAddress';
import addContract from './addContract';
import address from './address';
import addresses from './addresses';
import addressSelect from './addressSelect';
import application from './application';
import connection from './connection';
import contract from './contract';
import contracts from './contracts';
import createAccount from './createAccount';
import createWallet from './createWallet';
import dapp from './dapp';
import dapps from './dapps';
import deleteAccount from './deleteAccount';
import deployContract from './deployContract';
import editMeta from './editMeta';
import errors from './errors';
import executeContract from './executeContract';
import extension from './extension';
import faucet from './faucet';
import firstRun from './firstRun';
import home from './home';
import loadContract from './loadContract';
import parityBar from './parityBar';
import passwordChange from './passwordChange';
import saveContract from './saveContract';
import settings from './settings';
import shapeshift from './shapeshift';
import signer from './signer';
import status from './status';
import tabBar from './tabBar';
import transfer from './transfer';
import txEditor from './txEditor';
import ui from './ui';
import upgradeParity from './upgradeParity';
import vaults from './vaults';
import verification from './verification';
import wallet from './wallet';
import walletSettings from './walletSettings';
import web from './web';
import writeContract from './writeContract';

export default {
  account,
  accounts,
  addAddress,
  addContract,
  address,
  addresses,
  addressSelect,
  application,
  connection,
  contract,
  contracts,
  createAccount,
  createWallet,
  dapp,
  dapps,
  deleteAccount,
  deployContract,
  editMeta,
  errors,
  executeContract,
  extension,
  faucet,
  firstRun,
  home,
  loadContract,
  parityBar,
  passwordChange,
  saveContract,
  settings,
  shapeshift,
  signer,
  status,
  tabBar,
  transfer,
  txEditor,
  ui,
  upgradeParity,
  vaults,
  verification,
  wallet,
  walletSettings,
  web,
  writeContract
};
